List all
curl --request POST \
--url https://api.hubapi.com/crm/lists/2026-09-beta/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additionalProperties": [
"<string>"
],
"processingTypes": [
"<string>"
],
"after": "<string>",
"count": 123,
"objectTypeId": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/lists/2026-09-beta/all"
payload = {
"additionalProperties": ["<string>"],
"processingTypes": ["<string>"],
"after": "<string>",
"count": 123,
"objectTypeId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additionalProperties: ['<string>'],
processingTypes: ['<string>'],
after: '<string>',
count: 123,
objectTypeId: '<string>'
})
};
fetch('https://api.hubapi.com/crm/lists/2026-09-beta/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"additionalProperties": {},
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
},
"total": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Segments (Lists)
List all
Retrieve all lists in the CRM system. This endpoint allows you to fetch a comprehensive list of all available lists, which can be useful for managing and organizing your CRM data effectively.
POST
/
crm
/
lists
/
2026-09-beta
/
all
List all
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
An array of strings representing additional properties to include in the list retrieval.
An array of strings specifying the types of processing to apply to the request.
A string used as a paging cursor token to retrieve the next set of results.
An integer specifying the number of results to retrieve.
A string representing the unique identifier for the object type of the lists.
Response
successful operation
Last modified on August 6, 2026
Was this page helpful?
⌘I